#
# spec file for package python-python-tempestconf
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global with_doc 0
%global common_desc \
python-tempestconf will automatically generates the tempest \
configuration based on your cloud.
Name:           python-python-tempestconf
Version:        2.1.0
Release:        2.1
Summary:        OpenStack Tempest Config generator
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            http://git.openstack.org/cgit/openstack/python-tempestconf
Source0:        https://files.pythonhosted.org/packages/source/p/python-tempestconf/python-tempestconf-2.1.0.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  openstack-tempest
BuildRequires:  python2-os-client-config
BuildRequires:  python2-oslotest
BuildRequires:  python2-pbr
BuildRequires:  python2-setuptools
BuildRequires:  python2-stestr
BuildRequires:  python2-testscenarios
BuildRequires:  python2-testtools
BuildRequires:  python3-os-client-config
BuildRequires:  python3-oslotest
BuildRequires:  python3-pbr
BuildRequires:  python3-setuptools
BuildRequires:  python3-stestr
BuildRequires:  python3-testscenarios
BuildRequires:  python3-testtools
Requires:       openstack-tempest
Requires:       python-PyYAML
Requires:       python-castellan
Requires:       python-cryptography
Requires:       python-os-client-config
Requires:       python-pbr
Requires:       python-requests
BuildArch:      noarch
%if 0%{?suse_version}
Requires(post): update-alternatives
Requires(postun): update-alternatives
%else
# on RDO, update-alternatives is in chkconfig
Requires(post): chkconfig
Requires(postun): chkconfig
%endif
%python_subpackages

%description
%{common_desc}

%if 0%{?with_doc}
%package -n python-tempestconf-doc
Summary:        Documentation for python-tempestconf
Group:          Development/Languages/Python
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme
BuildRequires:  python-openstacksdk
BuildRequires:  python-sphinx-argparse

%description -n python-tempestconf-doc
It contains the documentation for the python-tempestconf.
%endif

%prep
%autosetup -p1 -n python-tempestconf-2.1.0
# Let's handle dependencies ourseleves
%py_req_cleanup
# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%{python_build}

# Generate Docs
%if 0%{?with_doc}
export PYTHONPATH="$( pwd ):$PYTHONPATH"
PBR_VERSION=2.1.0 sphinx-build -b html doc/source doc/build/html
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{python_install}
%python_clone -a %{buildroot}%{_bindir}/discover-tempest-config

# Disabling tests because it's failing for no reason
# %check
# export PYTHONPATH=.
# export OS_TEST_PATH=./config_tempest/tests
# ostestr

%post
%python_install_alternative discover-tempest-config

%postun
%python_uninstall_alternative discover-tempest-config

%files %{python_files}
%license LICENSE
%python_alternative %{_bindir}/discover-tempest-config
%{python_sitelib}/config_tempest
%{python_sitelib}/python_tempestconf-*.egg-info

%if 0%{?with_doc}
%files -n python-tempestconf-doc
%license LICENSE
%doc doc/build/html
%endif

%changelog
